Bug 849668 - ovirt-engine-webadmin-portal: When running more than 100 VM's on one host, the host 'Load' bar get out of it's borders (attached: screen-shot).
ovirt-engine-webadmin-portal: When running more than 100 VM's on one host, th...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Shahar Havivi
Rami Vaknin
infra
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-20 10:02 EDT by Omri Hochman
Modified: 2016-02-10 14:27 EST (History)
8 users (show)

See Also:
Fixed In Version: si16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:06:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
host_load_bar (206.43 KB, image/png)
2012-08-20 10:04 EDT, Omri Hochman
no flags Details

  None (edit)
Description Omri Hochman 2012-08-20 10:02:28 EDT
ovirt-engine-webadmin-portal: When having more than 100 running VM's on one host, the host 'Load' bar get out of it's boarders (attached: screen-shot). 

Scenario:
**********
Run more than 100 VM's on one host.

Results: 
********
Looking at the Hosts Tab -->  The host 'Load' (when having more than 100 VM's) became longer - compare to other hosts bars (running with no VM's).
Comment 1 Omri Hochman 2012-08-20 10:04:44 EDT
Created attachment 605711 [details]
host_load_bar

screenshot: host_load_bar
Comment 4 Itamar Heim 2012-08-21 01:13:05 EDT
einav - please provide guidance on what should be the logic for the field
Comment 5 Einav Cohen 2012-08-23 07:30:22 EDT
there isn't a ux issue here - it is merely a bug in the "load" value, which should probably be something between 0 and 100 (%), and for some reason it exceeds it (the load value shouldn't be identical to the quantity of the VMs that are running on the host).

pm should be consulted regarding exact load calculation.
Comment 6 Shahar Havivi 2012-08-26 09:35:03 EDT
posted at: http://gerrit.ovirt.org/#/c/7472/
Comment 8 Omri Hochman 2012-11-05 08:37:04 EST
Verified RHEVM Build SI23, 

Seems that the load bar reflect 1% of load per 1 running VM, 100% of load for 100 running VM's, but it will stop there (in 100%). For example: host with 148 running VM's the 'Load Bar" will reflect '100% load'. 
the load bar does not get behind it's boarders when having more than 100 VM's.

Note You need to log in before you can comment on or make changes to this bug.